Foros del Web » Programando para Internet » PHP »

Instalar dos versiones de PHP

Estas en el tema de Instalar dos versiones de PHP en el foro de PHP en Foros del Web. Hola a todos! Estoy dándole vueltas a cómo instalar dos versiones de PHP en la misma máquina, en mi caso, PHP3 y PHP5 (esta última ...
  #1 (permalink)  
Antiguo 01/07/2005, 05:32
Avatar de lukilla  
Fecha de Ingreso: julio-2005
Mensajes: 3
Antigüedad: 12 años, 5 meses
Puntos: 0
Pregunta Instalar dos versiones de PHP

Hola a todos!

Estoy dándole vueltas a cómo instalar dos versiones de PHP en la misma máquina, en mi caso, PHP3 y PHP5 (esta última ya la tengo instalada). Creo que puedo dejar PHP5 como módulo de Apache, tal y como lo tengo ahora mismo, y ejecutar PHP3 como CGI, pero, no comparten algunos ficheros?, tendría conflictos por el tema del archivo .ini de configuración?. Si alguno de vosotros lo habéis instalado, podríais echarme una manita?.

Gracias y un saludo a todos,

Lukilla
  #2 (permalink)  
Antiguo 01/07/2005, 09:06
Avatar de nicolaspar  
Fecha de Ingreso: noviembre-2004
Ubicación: Villa Ballester Bs-As|Ar
Mensajes: 2.002
Antigüedad: 13 años
Puntos: 34
Yo habia instalado ambos, uno en apache, y otro en iis, uno en el puerto 80, y el otro en el 8080, no se si esto te sirva de algo.
__________________
Mi punto de partida es Que Bueno Lo Nuevo
  #3 (permalink)  
Antiguo 04/07/2005, 03:52
Avatar de lukilla  
Fecha de Ingreso: julio-2005
Mensajes: 3
Antigüedad: 12 años, 5 meses
Puntos: 0
Hola Nicolaspar. Sí, esa puede ser una solución, pero el problema creo que lo puedo tener en el archivo de configuración de PHP, porque supongo que ambas versiones utilizan el mismo, o puedo indicarle a cada versión cuál tienen que utilizar?, igual por registro?
  #4 (permalink)  
Antiguo 04/07/2005, 08:28
Avatar de nicolaspar  
Fecha de Ingreso: noviembre-2004
Ubicación: Villa Ballester Bs-As|Ar
Mensajes: 2.002
Antigüedad: 13 años
Puntos: 34
No, yo los tenía de manera independiente, uno en window, y el otro en el dir de php (esto es lo que creo recordar, pero no recurdo siquiera desde donde le indique esto a cada version).

Igual, en mi caso necesitaba probar compatibilidad sobre una versión determinada, pero si tu caso no es este, instalate php5 directamente.
__________________
Mi punto de partida es Que Bueno Lo Nuevo
  #5 (permalink)  
Antiguo 04/07/2005, 12:26
Avatar de lukilla  
Fecha de Ingreso: julio-2005
Mensajes: 3
Antigüedad: 12 años, 5 meses
Puntos: 0
Sí, mi caso es como el tuyo. tengo que desarrollar una aplicación en php3 porque la máquina donde se va a alojar tiene esta versión montada, por eso quería instalar las dos versiones en mi máquina, por compatibilidad y demás. Voy a mirar dónde tengo que tocar para que cada versión busque su correspondiente archivo de configuración.

Gracias por todo, y si llego a alguna solución, la pondré aquí.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 13:36.